<div class="card">
    <div class="card-header">
        <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
            Cargos del Huesped <strong>{{ noFolio }}</strong>
        </div>
        <div class="btn-actions-pane-right" *ngIf="showGrid">
            <button class="btn btn-primary py-2 px-4" (click)="nuevo()" *ngIf="!consulta || grabarCargos">
                <i class="fa fa-plus mr-2"></i>Nuevo
            </button>
        </div>
    </div>
    <div class="card-body">
        <kendo-grid [data]="dataGrid" [selectable]="true" [reorderable]="true" [resizable]="true" style="height:50vh;"
            *ngIf="showGrid">
            <ng-container *ngIf="dataGrid.length !== 0">
                <kendo-grid-column field="codigo" title="Código" width="100"></kendo-grid-column>
                <kendo-grid-column field="htcargo" title="Tipo" width="100"></kendo-grid-column>
                <kendo-grid-column field="htfolio" title="Cta." width="100"></kendo-grid-column>
                <kendo-grid-column field="hmonto" title="Monto" width="120" class="text-right">
                    <ng-template kendoGridCellTemplate let-dataItem>
                        {{ dataItem.hmonto | currency:'MXN' }}
                    </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="hmon" title="Mon." width="100"></kendo-grid-column>
                <kendo-grid-column field="hnotas" title="Notas"></kendo-grid-column>
            </ng-container>
            <ng-template kendoGridNoRecordsTemplate>
                No hay resultados para mostrar.
            </ng-template>
            <kendo-grid-command-column title="Acciones" width="230" *ngIf="!consulta || grabarCargos">
                <ng-template kendoGridCellTemplate let-dataItem>
                    <button class="btn btn-info" [disabled]="loading" (click)="selectRow(dataItem)">
                        <i class="fas mr-2" [ngClass]="{'fa-spinner fa-spin': loading, 'fa-edit': !loading }">
                        </i>Editar
                    </button>
                    <button class="btn btn-danger ml-1" [disabled]="loading" (click)="delete(dataItem)">
                        <i class="fas mr-2" [ngClass]="{'fa-spinner fa-spin': loading, 'fa-trash': !loading }">
                        </i>Eliminar
                    </button>
                </ng-template>
            </kendo-grid-command-column>
        </kendo-grid>
        <div class="container animated fadeIn" *ngIf="!showGrid">
            <form [formGroup]="myFormGroup" class="pt-3">
                <div class="row d-flex justify-content-center">
                    <div class="form-group col-sm-12 col-md-8 col-lg-5">
                        <label>Código</label>
                        <kendo-combobox [data]="dataCodigos" [textField]="'cdesc'" [valueField]="'Codigo'" tabindex="1"
                            formControlName="codigo" [readonly]="method === 'M' || lectura" [valuePrimitive]="true"
                            class="w-100">
                        </kendo-combobox>
                    </div>
                    <div class="form-group col-sm-4 col-md-4 col-lg-2">
                        <label>Tipo</label>
                        <kendo-combobox [data]="dataCargos" formControlName="htcargo" [textField]="'tcdesc'"
                            tabindex="2" [valueField]="'tipoCargo'" [valueField]="'Codigo'" [readonly]="lectura"
                            [valuePrimitive]="true" class="w-100">
                        </kendo-combobox>
                    </div>
                    <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2">
                        <label>Cuenta</label>
                        <kendo-combobox [data]="dataCuentas" formControlName="htfolio" [textField]="'tcuentadesc'"
                            tabindex="3" [valueField]="'tipoCuenta'" [valuePrimitive]="true" [readonly]="lectura"
                            class="w-100">
                        </kendo-combobox>
                    </div>
                    <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3">
                        <label>Monto</label>
                        <input type="number" class="form-control" [readonly]="lectura" formControlName="hmonto"
                            tabindex="4">
                    </div>
                    <div class="form-group col-12 col-sm-12 col-md-5 col-lg-4">
                        <label>Moneda</label>
                        <kendo-combobox [data]="dataMonedas" formControlName="hmon" [textField]="'mdesc'" tabindex="5"
                            [valueField]="'Moneda'" [valuePrimitive]="true" [readonly]="lectura" class="w-100">
                        </kendo-combobox>
                    </div>
                    <div class="form-group col-12">
                        <label>Notas</label>
                        <textarea formControlName="hnotas" [readonly]="lectura" class="form-control" rows="2"
                            tabindex="6"></textarea>
                    </div>
                    <div class="col-12 d-flex justify-content-center mt-3">
                        <button class="btn btn-success py-2 px-4" [disabled]="!myFormGroup.valid"
                            (click)="guardar(myFormGroup.value)" *ngIf="!lectura">
                            <i class="fa fa-save mr-2"></i>Guardar
                        </button>
                        <button class="btn btn-secondary py-2 px-4 ml-1" (click)="regresar()">Regresar</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>